#version 110

varying vec2 vertex_uv;

uniform sampler2D texture;
uniform float texture_width;

void
main (void)
{
  float blur_unit = 1.0 / texture_width;
  vec4 sum = vec4(0.0, 0.0, 0.0, 0.0);

  sum += texture2D(texture, vec2(vertex_uv.x - (4.0 * blur_unit), vertex_uv.y)) * 0.05;
  sum += texture2D(texture, vec2(vertex_uv.x - (3.0 * blur_unit), vertex_uv.y)) * 0.09;
  sum += texture2D(texture, vec2(vertex_uv.x - (2.0 * blur_unit), vertex_uv.y)) * 0.12;
  sum += texture2D(texture, vec2(vertex_uv.x - (1.0 * blur_unit), vertex_uv.y)) * 0.15;
  sum += texture2D(texture, vec2(vertex_uv.x,                     vertex_uv.y)) * 0.16;
  sum += texture2D(texture, vec2(vertex_uv.x + (1.0 * blur_unit), vertex_uv.y)) * 0.15;
  sum += texture2D(texture, vec2(vertex_uv.x + (2.0 * blur_unit), vertex_uv.y)) * 0.12;
  sum += texture2D(texture, vec2(vertex_uv.x + (3.0 * blur_unit), vertex_uv.y)) * 0.09;
  sum += texture2D(texture, vec2(vertex_uv.x + (4.0 * blur_unit), vertex_uv.y)) * 0.05;

  gl_FragColor = sum;
}